[gentoo-user] Openshot segfault with new cairo

2011-02-14 Thread Jacques Montier
Hi all, When i upgrade to cairo-1.10.2-r1, the video editor Openshot compiles, but crashes with segfault error. New cairo has qt4 useflag ; so, i have to set -qt4 useflag to cairo to get Openshot working again. May i get some trouble by setting this useflag to cairo ? Thanks you, cheers

[gentoo-user] Anyone else having trouble with x11-libs/cairo?

2016-12-01 Thread Daniel Quinn
emerge of x11-libs/cairo * About a month later, I’ve been doing “emerge -auDN @world” every other day or so, and suddenly cairo needs to rebuild, and now it fails with a long slew of errors: |In file included from /var/tmp/portage/x11-libs/cairo-1.14.6/work/cairo-1.14.6/src/cairo-mutex-type

Re: [gentoo-user] Failed to emerge fontforge

2009-04-20 Thread Mike Kazantsev
On Mon, 20 Apr 2009 18:11:32 +0200 Thomas Chef thomas.c...@gmail.com wrote: Try rebuilding x11-libs/cairo I tried: # emerge x11-libs/cairo Which seems to have worked out ok, then ran emerge fontforge, but it ended up in the same error as before ? I searched the disk for the file

[gentoo-user] gtk+ / Cairo / pdf-flag mutual build problem.

2006-12-24 Thread Walter Dnes
Did an emerge --sync and emerge --ask --deep --update --world. When emerge got to x11-libs/gtk+-2.10.6, the following happened... checking for cups-config... /usr/bin/cups-config checking cairo-pdf.h usability... no checking cairo-pdf.h presence... no checking for cairo-pdf.h... no configure

Re: [gentoo-user] gtk+ / Cairo / pdf-flag mutual build problem.

2006-12-29 Thread Daniel Barkalow
On Sun, 24 Dec 2006, Walter Dnes wrote: Did an emerge --sync and emerge --ask --deep --update --world. When emerge got to x11-libs/gtk+-2.10.6, the following happened... checking for cups-config... /usr/bin/cups-config checking cairo-pdf.h usability... no checking cairo-pdf.h presence

[gentoo-user] mysql-workbench

2017-04-17 Thread lee
Hi, mysql-workbench requires a USE flag of '>=x11-libs/cairo- -X' while lots of other packages apparently require cairo with X: x11-libs/cairo:0 (x11-libs/cairo-:0/0::gentoo, ebuild scheduled for merge) conflicts with >=x11-libs/cairo-1.8.4[X] required by (dev-dotnet/libg

Re: [gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-14 Thread Tamer Higazi
Hi Alex! I solved the problem. There's a workaround! I had to merge at first cairo and then pango. This is what gentoo didn't make, the hell I know why. Tamer Am 14.08.2010 17:01, schrieb Alex Schuster: Alan McKinnon writes: On Friday 13 August 2010 16:09:48 Tamer Higazi wrote

Re: [gentoo-user] Anyone else having trouble with x11-libs/cairo?

2016-12-01 Thread Alan McKinnon
ystem with no trouble (~amd64) > * This installation included a perfect emerge of x11-libs/cairo > * About a month later, I’ve been doing “emerge -auDN @world” every > other day or so, and suddenly cairo needs to rebuild, and now it > fails with a long slew of errors: >

Re: [gentoo-user] emerge Error

2009-03-12 Thread Justin
dhk schrieb: - app-text/poppler-bindings-0.10.4 (Change USE: +cairo) This line tells you what to do: reemerge poppler-bindings with USE=cairo signature.asc Description: OpenPGP digital signature

Re: [gentoo-user] emerge Error

2009-03-12 Thread dhk
Justin wrote: dhk schrieb: - app-text/poppler-bindings-0.10.4 (Change USE: +cairo) This line tells you what to do: reemerge poppler-bindings with USE=cairo That worked, Thanks.

Re: [gentoo-user] Failed to emerge fontforge

2009-04-20 Thread Alan McKinnon
: cairo/cairo-xlib.h: No such file or directory That file is provided by cairo. Try rebuilding x11-libs/cairo -- alan dot mckinnon at gmail dot com

Re: [gentoo-user] Failed to emerge fontforge

2009-04-20 Thread Peter Humphrey
On Monday 20 April 2009 14:54:40 Alan McKinnon wrote: On Monday 20 April 2009 15:44:48 Thomas Chef wrote: Do I issue [a] bug report ? In file included from fontP.h:109, from gdrawtxt.c:30: gxdrawP.h:83:32: error: cairo/cairo-xlib.h: No such file or directory That file

[gentoo-user] pecl-cairo ~x86 overlay?

2010-07-30 Thread Michael M
Hello list, I need to install Cairo bindings for dev-lang/php-5*. Is there a pecl-cairo overlay for ~x86? I've tried unmasking this package and adding the keyword ~amd64 and it seems to want to install with emerge but my system is ~x86. According to this site it is only ~amd64, but I cannot

[gentoo-user] cairo USE flags

2013-01-19 Thread Florian Philipp
Hi list! I've noticed that there is probably a lot of performance to be gained from activating backend acceleration in cairo. It's just that I have no clue about the details: drm, gallium and opengl are all described as accelerating backends. Does that mean they are mutually exclusive or can I

Re: [gentoo-user] Failed to emerge fontforge

2009-04-20 Thread Thomas Chef
Try rebuilding x11-libs/cairo I tried: # emerge x11-libs/cairo Which seems to have worked out ok, then ran emerge fontforge, but it ended up in the same error as before ? I searched the disk for the file: cairo-xlib.h (in Konqueror) but could not find the file ? / Thomas

Re: [gentoo-user] gtk+ / Cairo / pdf-flag mutual build problem.

2006-12-27 Thread Mike Myers
On 12/24/06, Walter Dnes [EMAIL PROTECTED] wrote: Did an emerge --sync and emerge --ask --deep --update --world. When emerge got to x11-libs/gtk+-2.10.6, the following happened... checking for cups-config... /usr/bin/cups-config checking cairo-pdf.h usability... no checking cairo-pdf.h

[gentoo-user] Re: mysql-workbench

2017-04-18 Thread Martin Vaeth
> Alan McKinnon | [ebuild N ] dev-cpp/cairomm-1.12.0-r1 USE="svg -X (-aqua) -doc" >[???] >| # required by dev-cpp/cairomm-1.12.0-r1::gentoo >| >=x11-libs/cairo- -X eix -vle cairomm ???RDEPEND: >=x11-libs/cairo-1.12.10[aqua=,svg=,X=,??? So your selecte

Re: [gentoo-user] mysql-workbench

2017-04-17 Thread Alan McKinnon
On 17/04/2017 19:12, lee wrote: > Hi, > > mysql-workbench requires a USE flag of '>=x11-libs/cairo- -X' while > lots of other packages apparently require cairo with X: no it doesn't. With a fresh tree: khamul mysql-workbench # grep cairo *ebuild mysql-workbench-6.3.3.ebuild:

Re: [gentoo-user] gtk+ / Cairo / pdf-flag mutual build problem.

2006-12-29 Thread Walter Dnes
On Fri, Dec 29, 2006 at 02:23:08PM -0500, Daniel Barkalow wrote Calculating dependencies... done! [ebuild R ] x11-libs/cairo-1.2.4 USE=X png -directfb -doc -glitz -svg (-pdf%) 0 kB Oops... note the (-pdf%). This option is simply not allowed for Cairo on my system. I threw

Re: [gentoo-user] New dependencies suddenly popping up

2014-01-21 Thread Neil Bothwick
On Tue, 21 Jan 2014 10:26:10 +, Peter Humphrey wrote: But cairo was last emerged 16 days ago and cdrtools last September, so why have these dependencies suddenly appeared today? Portage has been at 2.2.7 since last year too. Emerge --info doesn't mention lzo. # ChangeLog for x11-libs

Re: [gentoo-user] Cairo XCB

2010-07-24 Thread pk
On 2010-07-23 20:37, Mick wrote: which means that it's the default. What should I do with it, wait until the default profile gets rid of it, or do something different? You can disable xcb for cairo. Put -xcb after x11-libs/cairo in /etc/portage/package.use. Although xcb will eventually

Re: [gentoo-user] Cairo and NX, forever enemies

2012-11-05 Thread Helmut Jarausch
On 11/05/2012 05:08:39 PM, Paul Hartman wrote: Latest cairo 1.12.6 in ~arch breaks gtk+ programs in opensource NX/x2go again, so if you wonder why you can't start Firefox or Thunderbird in remote NX session, downgrade cairo on the server until the nx libs are patched to work properly

Re: [gentoo-user] dev-libs/efl-1.18.4 fails to emerge with gcc-5.4.0-r3

2017-04-18 Thread Raffaele Belardi
? Is poppler really installed? raffaele Yes, it seems to be: $ eix -l poppler [I] app-text/poppler Available versions: 0.45.0(0/62)^t [cairo cairo-qt cjk curl cxx debug doc +introspection +jpeg +jpeg2k +lcms nss png qt4 qt5 tiff +utils] ["cairo-qt?

Re: [gentoo-user] dev-libs/efl-1.18.4 fails to emerge with gcc-5.4.0-r3

2017-04-18 Thread Mick
> >> Maybe https://bugs.gentoo.org/show_bug.cgi?id=615326 ? > >> Is poppler really installed? > >> > >> raffaele > > > > Yes, it seems to be: > > > > $ eix -l poppler > > [I] app-text/poppler > > > > Available ve

Re: [gentoo-user] pecl-cairo ~x86 overlay?

2010-07-31 Thread sam new
...@gmail.com wrote: Hello list, I need to install Cairo bindings for dev-lang/php-5*. Is there a pecl-cairo overlay for ~x86? I've tried unmasking this package and adding the keyword ~amd64 and it seems to want to install with emerge but my system is ~x86. According to this site it is only

[gentoo-user] fcitx crash----something to do with libpng cairo?

2013-04-12 Thread Jackie
cairo,which seem to involve tons of recompilation of related packages(got that after mask the update emerge libpng cairo -pv). So,anyone met this got a better solution? BTY,using fcitx 4.2.7,libpng-1.6.1:0/16 and cairo-1.12.14. HELP ME OUT:(

Re: [gentoo-user] What has happened to the Gentoo tree?

2017-01-26 Thread Mick
le arch, albeit as testing. Last time I sync'ed was about a week ago. $ eix -l dev-libs/gobject-introspection [I] dev-libs/gobject-introspection Available versions: 1.44.0 [cairo doctool test PYTHON_TARGETS="python2_7"] ["python_targets_python2_7 test? ( cairo

Re: [gentoo-user] pango fails to build

2008-07-04 Thread Roger Mason
Justin Findlay [EMAIL PROTECTED] writes: On AD 2008 July 04 Friday 01:02:39 PM -0230, Roger Mason wrote: /usr/lib/libcairo.so: undefined reference to `__sync_fetch_and_add_4' Did you try revdep-rebuild, or even just remerging cairo? I rebuilt cairo several times and revdep-rebuild says

[gentoo-user] Version conflicts when mixing arch and ~arch

2006-10-11 Thread Alan McKinnon
dependency on cairo: cairo? ( =x11-libs/cairo-1.2 ) I had to unmask e, evas and cairo to get this to emerge. I also have x86 pygtk and pycairo already installed, pycairo has a hard dependency on cairo-1.0* =x11-libs/cairo-1.0* emerge world wants to downgrade cairo to 1.0

Re: [gentoo-user] Emerging Gnome and KDE

2007-01-26 Thread Fabrício L. Ribeiro
Thanks, and I apologize for my attention fault and my poor english! On 1/26/07, Michael Sullivan [EMAIL PROTECTED] wrote: I'd start by emerging cairo with the X flag set # USE=X emerge cairo -- FABRÍCIO L. RIBEIRO === [icq: 66770900] [e-mail, gtalk e msn: [EMAIL

Re: [gentoo-user] Emerging Gnome and KDE

2007-01-26 Thread Alan McKinnon
On Friday 26 January 2007 18:19, Michael Sullivan wrote: I'd start by emerging cairo with the X flag set # USE=X emerge cairo Of all the ways to do it, this has to be the worst. Portage has no idea in the future that cairo was emerged with X functionality enabled, and it causes vast amounts

[gentoo-user] Still getting calls to gcc-i486

2009-07-14 Thread Harry Putnam
but apparently I missed something can anyone tell me where to look? emerge error: [...] building 'cairo._cairo' extension creating build/temp.linux-i686-2.6 creating build/temp.linux-i686-2.6/cairo i486-pc-linux-gnu-gcc -pthread -DNDEBUG -O2 -march=i686 -pipe -fPIC -I/usr/include/cairo -I/usr

Re: [gentoo-user] Still getting calls to gcc-i486

2009-07-14 Thread Volker Armin Hemmann
lost track of where all the guff was located but apparently I missed something can anyone tell me where to look? emerge error: [...] building 'cairo._cairo' extension creating build/temp.linux-i686-2.6 creating build/temp.linux-i686-2.6/cairo i486-pc-linux-gnu-gcc -pthread -DNDEBUG -O2

Re: [gentoo-user] Cairo XCB

2010-07-23 Thread David W Noon
On Fri, 23 Jul 2010 20:50:01 +0200, Mick wrote about [gentoo-user] Cairo XCB: I have seen messages similar to these: * Messages for package x11-libs/cairo-1.8.10: * You have enabled the Cairo XCB backend which is used only by * a select few apps. The Cairo XCB backend is presently * un

Re: [gentoo-user] Cairo and NX, forever enemies

2012-11-05 Thread Paul Hartman
On Mon, Nov 5, 2012 at 12:01 PM, Helmut Jarausch jarau...@igpm.rwth-aachen.de wrote: On 11/05/2012 05:08:39 PM, Paul Hartman wrote: Latest cairo 1.12.6 in ~arch breaks gtk+ programs in opensource NX/x2go again, so if you wonder why you can't start Firefox or Thunderbird in remote NX session

Re: [gentoo-user] fcitx crash----something to do with libpng cairo?

2013-04-12 Thread Wang Xuerui
out,however,may be just downgrade libpng cairo,which seem to involve tons of recompilation of related packages(got that after mask the update emerge libpng cairo -pv). So,anyone met this got a better solution? BTY,using fcitx 4.2.7,libpng-1.6.1:0/16 and cairo-1.12.14. HELP ME OUT:( I'm also

Re: [gentoo-user] problem emerging Libdrm : solved

2015-01-26 Thread Peter Humphrey
On Sunday 25 January 2015 23:57:50 Philip Webb wrote: 150125 Philip Webb wrote: After exactly 2 years , I'm trying to update my Asus EEE netbook. Trying to update gtk+ , I've run into a problem : it requires Mesa Cairo both require libdrm-2.4.58 , which refuses to compile, failing

Re: [gentoo-user] Moving from no-multilib to (true) multilib

2015-04-04 Thread Bruce Hill
On Tue, Mar 31, 2015 at 12:51:58PM +0200, Alan McKinnon wrote: On my workstation the day this option came out, */* abi_x86_32 in package.use went reasonably well. x11-libs/cairo-1.12.18-r1 failed, but maybe that problem is the 32-bit mesa. Going to rebuild it and try. There's

Re: [gentoo-user] cairo USE flags

2013-01-19 Thread Daniel Troeder
Am 19.01.2013 11:49, schrieb Florian Philipp: Hi list! I've noticed that there is probably a lot of performance to be gained from activating backend acceleration in cairo. It's just that I have no clue about the details: drm, gallium and opengl are all described as accelerating backends

Re: [gentoo-user] cairo USE flags

2013-01-20 Thread Florian Philipp
Am 19.01.2013 12:36, schrieb Daniel Troeder: Am 19.01.2013 11:49, schrieb Florian Philipp: Hi list! I've noticed that there is probably a lot of performance to be gained from activating backend acceleration in cairo. It's just that I have no clue about the details: drm, gallium and opengl

Re: [gentoo-user] Cairo and NX, forever enemies

2012-11-14 Thread Paul Hartman
On Wed, Nov 14, 2012 at 4:40 AM, Helmut Jarausch jarau...@igpm.rwth-aachen.de wrote: On 11/06/2012 12:42:25 AM, Paul Hartman wrote: On Mon, Nov 5, 2012 at 12:01 PM, Helmut Jarausch jarau...@igpm.rwth-aachen.de wrote: On 11/05/2012 05:08:39 PM, Paul Hartman wrote: Latest cairo 1.12.6

Re: [gentoo-user] fcitx crash----something to do with libpng cairo?

2013-04-13 Thread Erick Guan
use fcitx for Chinese after updating few packages today,fcitx just crash on startup and won't work even I start it in a terminal.I searched through Internet and figured it that this may have some thing to do with update libpng and cairo.One way out,however,may be just downgrade libpng cairo

[gentoo-user] Re: New dependencies suddenly popping up

2014-01-21 Thread eroen
: [...] X11-libs/cairo-1.12.14-r4 (dev-libs/lzo) https://bugs.gentoo.org/477078 cairo is/was built slightly differently depending on whether lzo was installed or not when cairo was built. The most significant difference is that cairo might stop working if lzo is removed after cairo was built

[gentoo-user] Re: compiz and mesa

2009-03-26 Thread Nikos Chantziaras
USE flag from mesa. Instead of that, I simply globally enabled xcb in make.conf and disabled it only for cairo (the ebuild told me it's not a good idea to use xcb with cairo). So to make it short, put xcb in your USE flags in make.conf, and put: x11-libs/cairo -xcb in /etc/portage

Re: [gentoo-user] Nvidia and Minefield?

2007-01-10 Thread Bruno Lustosa
On 1/9/07, Hemmann, Volker Armin [EMAIL PROTECTED] wrote: since the problems also appear with nv (but not as severe), I would not blame nvidia, but minefield. Yes, I thought it might be some problem with cairo, which might affect X. I've had some problems with cairo in the past

[gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-13 Thread Tamer Higazi
Hi people! I am in front of a disaster updating my gentoo system. Now the system is shot, and I am not capable starting the gnome-manager: at the end it says only: checking Pango flags... configure: error: *** Pango not found. Pango built with Cairo support is required *** to build GTK+. See

Re: [gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-13 Thread Alan McKinnon
built with Cairo support is required *** to build GTK+. See http://www.pango.org for Pango information. Did you read this? It says to build pango with cairo support. Did you build pango with cairo support? Don't just say yes, prove it with output from eg. eix -- alan dot mckinnon at gmail dot

Re: [gentoo-user] portage getting mixed up with USE?

2011-06-22 Thread Alan McKinnon
. Or does it build fltk with USE=-cairo if you just type emerge -av fltk? emerge -av fltk gives exactly the same output as above. The dillo ebuild doesn't seem to be causing this change in behaviour: RDEPEND=x11-libs/fltk:2[-cairo,jpeg=,png=] What it looks like is portage

Re: [gentoo-user] problem emerging Libdrm : solved

2015-01-25 Thread Philip Webb
150125 Philip Webb wrote: After exactly 2 years , I'm trying to update my Asus EEE netbook. Trying to update gtk+ , I've run into a problem : it requires Mesa Cairo both require libdrm-2.4.58 , which refuses to compile, failing with lines reporting that libpng15.so.15 libudev.so.0

Re: [gentoo-user] dev-libs/efl-1.18.4 fails to emerge with gcc-5.4.0-r3

2017-04-18 Thread Mick
> > > > This was the 110th package out of 413 being rebuild, so I assume poppler > > et al should have already been rebuilt in advance as dependencies. What > > can I try? > Maybe https://bugs.gentoo.org/show_bug.cgi?id=615326 ? > Is poppler really installed? > &g

Re: [gentoo-user] Re: mysql-workbench

2017-04-18 Thread lee
Martin Vaeth <mar...@mvath.de> writes: >> Alan McKinnon >| [ebuild N ] dev-cpp/cairomm-1.12.0-r1 USE="svg -X (-aqua) -doc" >>[???] >>| # required by dev-cpp/cairomm-1.12.0-r1::gentoo >>| >=x11-libs/cairo- -X > > eix -vle cairom

Re: [gentoo-user] Cairo UD; Why?

2006-10-26 Thread Bo Ørsted Andresen
On Friday 27 October 2006 02:41, Michael Sullivan wrote: I removed xmms from my systems a couple of days ago and have been in the process of rebuilding everything without it. x11-libs/cairo keeps switching between 1.2.4 and 1.0.4 and I can't figure out why. How do I stop this from happening

[gentoo-user] Cairo XCB

2010-07-23 Thread Mick
I have seen messages similar to these: * Messages for package x11-libs/cairo-1.8.10: * You have enabled the Cairo XCB backend which is used only by * a select few apps. The Cairo XCB backend is presently * un-maintained and needs a lot of work to get it caught up * to the Xrender and Xlib

Re: [gentoo-user] pecl-cairo ~x86 overlay?

2010-08-01 Thread Alex Schuster
Michael M writes: Hello list, I need to install Cairo bindings for dev-lang/php-5*. Is there a pecl-cairo overlay for ~x86? I've tried unmasking this package and adding the keyword ~amd64 and it seems to want to install with emerge but my system is ~x86. According to this site it is only

Re: [gentoo-user] pecl-cairo ~x86 overlay?

2010-08-01 Thread Michael M
Thank you for the help, I will give it a go. On Sun, Aug 1, 2010 at 5:06 AM, Alex Schuster wo...@wonkology.org wrote: Michael M writes: Hello list, I need to install Cairo bindings for dev-lang/php-5*. Is there a pecl-cairo overlay for ~x86? I've tried unmasking this package and adding

Re: [gentoo-user] pecl-cairo ~x86 overlay?

2010-08-01 Thread Michael M
On Sun, Aug 1, 2010 at 8:40 AM, Michael M thecr...@gmail.com wrote: Thank you for the help, I will give it a go. On Sun, Aug 1, 2010 at 5:06 AM, Alex Schuster wo...@wonkology.org wrote: Michael M writes: Hello list, I need to install Cairo bindings for dev-lang/php-5*. Is there a pecl

Re: [gentoo-user] Build librsvg-2.34.2 Error

2012-02-03 Thread Alan McKinnon
On Fri, 3 Feb 2012 10:22:21 -0500 Michael Mol mike...@gmail.com wrote: To install cairo, try emerge x11-libs/cairo Assuming that works, try emerge --resume If the build works, you should be good. If you get the same error, then you should file a bug report at bugs.gentoo.org

Re: [gentoo-user] New install - startx not starting

2006-11-08 Thread Alan McKinnon
On Wednesday 08 November 2006 12:42, Greg Morin wrote: VIDEO_CARDS was/is set. The tweaking was in USE - 'png' was necessary before 'emerge cario'. Oh good, all's well that ends well. But I'm curious to know how the lack of the png USE flag to cairo caused X to not load your video driver per

Re: [gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-14 Thread Tamer Higazi
pango could be built without cairo support, the configure script should have checked if pango was built with cairo support. Tamer Am 13.08.2010 19:28, schrieb Bill Longman: On 08/13/2010 08:22 AM, Tamer Higazi wrote: As you told me I merged lafilefixer and ran lafilefixer --justfixit then I

Re: [gentoo-user] Build librsvg-2.34.2 Error

2012-02-03 Thread Alex Schuster
高金培 writes: In file included from stdin:19:0: /var/tmp/portage/gnome-base/librsvg-2.34.2/work/librsvg-2.34.2/rsvg-cairo-render.h:32:19: fatal error: cairo.h: No such file or directory My guess is that you need to emerge x11-libs/cairo which has the missing cairo.h. Probably a bug

[gentoo-user] cairo-1.10.2 fails to emerge --missing file

2012-03-04 Thread covici
Hi. In my last update, the system wanted to emerge x11-libs/cairo-1.10.2-r2, but the file EGL/egl.h is missing. Now that file used to be provided by media-libs/mesa, but it seems the file is no longer there. I am running gentoo unstable 64-bit. Any ideas as to how to solve this problem? Thanks

Re: [gentoo-user] cairo-1.10.2 fails to emerge --missing file

2012-03-04 Thread Mark Knecht
On Sun, Mar 4, 2012 at 8:30 AM, cov...@ccs.covici.com wrote: Hi.  In my last update, the system wanted to emerge x11-libs/cairo-1.10.2-r2, but the file EGL/egl.h is missing.  Now that file used to be provided by media-libs/mesa, but it seems the file is no longer there. I am running gentoo

[gentoo-user] Re: emerge output, screenshots and the list Was: fcitx crash, libpng cairo?

2013-04-13 Thread Stroller
On 13 April 2013, at 11:11, Jackie wrote: … I am now glad to tell you that the problem was indeed due to cairo update,which caused fcitx's skin failed to load,thus th einput method failed to load normally.Luckily,upstream developers have delt with it and my problem was solved after I

Re: [gentoo-user] gtk+ / Cairo / pdf-flag mutual build problem.

2006-12-29 Thread Daniel Barkalow
On Fri, 29 Dec 2006, Walter Dnes wrote: On Fri, Dec 29, 2006 at 02:23:08PM -0500, Daniel Barkalow wrote Calculating dependencies... done! [ebuild R ] x11-libs/cairo-1.2.4 USE=X png -directfb -doc -glitz -svg (-pdf%) 0 kB Oops... note the (-pdf%). This option is simply

Re: [gentoo-user] Cairo XCB

2010-07-23 Thread Kevin O'Gorman
On Fri, Jul 23, 2010 at 1:56 PM, David W Noon dwn...@ntlworld.com wrote: On Fri, 23 Jul 2010 20:50:01 +0200, Mick wrote about [gentoo-user] Cairo XCB: I have seen messages similar to these: * Messages for package x11-libs/cairo-1.8.10: * You have enabled the Cairo XCB backend which

Re: [gentoo-user] Cairo XCB

2010-07-24 Thread Volker Armin Hemmann
On Samstag 24 Juli 2010, Kevin O'Gorman wrote: On Fri, Jul 23, 2010 at 1:56 PM, David W Noon dwn...@ntlworld.com wrote: On Fri, 23 Jul 2010 20:50:01 +0200, Mick wrote about [gentoo-user] Cairo XCB: I have seen messages similar to these: * Messages for package x11-libs/cairo-1.8.10

Re: [gentoo-user] Cairo XCB

2010-07-24 Thread Mick
On Saturday 24 July 2010 01:11:23 Kevin O'Gorman wrote: On Fri, Jul 23, 2010 at 1:56 PM, David W Noon dwn...@ntlworld.com wrote: On Fri, 23 Jul 2010 20:50:01 +0200, Mick wrote about [gentoo-user] Cairo XCB: I have seen messages similar to these: * Messages for package x11-libs/cairo

Re: [gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-13 Thread Bill Longman
Ramos pa...@gentoo.org (12 Jul 2010) # Masked for removal in 30 days. # No longer developed by upstream, fails with forced as-needed (bug #277169), # does not compile against gnome-desktop-2.30 (bug #311563). but I want to upgrade my system, and love to solve this Pango Cairo problem

Re: [gentoo-user] Cairo and NX, forever enemies

2012-11-14 Thread Helmut Jarausch
On 11/06/2012 12:42:25 AM, Paul Hartman wrote: On Mon, Nov 5, 2012 at 12:01 PM, Helmut Jarausch jarau...@igpm.rwth-aachen.de wrote: On 11/05/2012 05:08:39 PM, Paul Hartman wrote: Latest cairo 1.12.6 in ~arch breaks gtk+ programs in opensource NX/x2go again, so if you wonder why you can't

[gentoo-user] emerge output, screenshots and the list Was: fcitx crash, libpng cairo?

2013-04-13 Thread Stroller
On 13 April 2013, at 06:14, Jackie wrote: ... Tried to downgrade libpng cairo today but no luck… I've here got the snapshot of the infomation got after masking libpng-1.6.1 cairo-1.12.14.Hell No!snapshot7_libpng_slot.png I'm looking at your problem now to try and help you

Re: [gentoo-user] New dependencies suddenly popping up

2014-01-21 Thread Peter Humphrey
On Tuesday 21 Jan 2014 15:07:34 Neil Bothwick wrote: On Tue, 21 Jan 2014 10:26:10 +, Peter Humphrey wrote: But cairo was last emerged 16 days ago and cdrtools last September, so why have these dependencies suddenly appeared today? Portage has been at 2.2.7 since last year too. Emerge

Re: [gentoo-user] lm_sensors: dependency problem...

2009-08-23 Thread Albert Hopkins
that would be merged, in order: Calculating dependencies... done! emerge: there are no ebuilds built with USE flags to satisfy =x11-libs/cairo-1.4.6[svg]. !!! One of the following packages is required to complete your request: - x11-libs/cairo-1.8.6-r1 (Change USE: +svg) (dependency required

Re: [gentoo-user] mysql-workbench

2017-04-17 Thread lee
Alan McKinnon <alan.mckin...@gmail.com> writes: > On 17/04/2017 19:12, lee wrote: >> Hi, >> >> mysql-workbench requires a USE flag of '>=x11-libs/cairo- -X' while >> lots of other packages apparently require cairo with X: > > no it doesn't. Wit

[gentoo-user] Error emerging gtk+ Pango not found (expat issue or not?)

2008-03-24 Thread Patrick Holthaus
Hi Gentooers! I don't know if I am facing the expat issue or not. gtk fails with the following error message: checking Pango flags... -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr

[gentoo-user] Failed to emerge fontforge

2009-04-20 Thread Thomas Chef
I tried to emerge lilypond but it fails when building fontforge, with the error below. What do I do ? Do I issue an bug report ? / Thomas In file included from fontP.h:109, from gdrawtxt.c:30: gxdrawP.h:83:32: error: cairo/cairo-xlib.h: No such file or directory gcc -march=c3

Re: [gentoo-user] conflict in update

2009-04-25 Thread Justin
!!! into the dependency graph, resulting in a slot conflict: app-text/poppler-bindings:0 ('installed', '/', 'app-text/poppler-bindings-0.10.4', 'nomerge') pulled in by ~app-text/poppler-bindings-0.10.4[gtk,cairo] required by ('installed', '/', 'media-gfx/gimp-2.6.4', 'nomerge') ~app-text

Re: [gentoo-user] Emerging Gnome and KDE

2007-01-26 Thread kristian
1) You should add X to your useflags in /etc/make.conf Or 2) Add X to useflags for cairo in /etc/portage/package.use Kristian Poul Herkild -Original Message- From: Michael Sullivan [EMAIL PROTECTED] Date: Fri, 26 Jan 2007 10:19:32 -0600 To: gentoo-user@lists.gentoo.org Subject: Re

Re: [gentoo-user] Still getting calls to gcc-i486

2009-07-14 Thread Heiko Wundram
On Tue, 14 Jul 2009 08:40:51 -0500, Harry Putnam rea...@newsguy.com wrote: I've lost track of where all the guff was located but apparently I missed something can anyone tell me where to look? emerge error: [...] building 'cairo._cairo' extension creating build/temp.linux-i686-2.6

[gentoo-user] Re: Still getting calls to gcc-i486

2009-07-15 Thread Harry Putnam
Harry Putnam rea...@newsguy.com writes: Also ... anyone have another idea how to iron this out. I've done everything suggested here in this thread but still cannot compile pycairo successfully. How about it folks... anymore suggestions on this: emerge error: [...] building 'cairo._cairo

Re: [gentoo-user] Portage strangeness with imagemagick

2009-10-29 Thread Dan Johansson
--- -- - # emerge --update --deep --verbose --reinstall changed-use --with-bdeps y world --pretend --tree These are the packages that would be merged, in reverse order: Calculating dependencies... done! emerge: there are no ebuilds built with USE flags to satisfy =x11- libs/cairo

Re: [gentoo-user] Re: compiz and mesa

2009-03-26 Thread Andrew Gaydenko
this with you, but here it told me that that I had to remove the xcb USE flag from mesa. Instead of that, I simply globally enabled xcb in make.conf and disabled it only for cairo (the ebuild told me it's not a good idea to use xcb with cairo). So to make it short, put xcb in your USE flags

Re: [gentoo-user] problems building x11-libs/gtk+-2.20.1-r1

2010-08-13 Thread Bill Longman
with Cairo support is required *** to build GTK+. See http://www.pango.org for Pango information. I remerged Cairo, cairo, pango but the problem still exists... and don't know how to solve it. :( Did you run revdep-rebuild? Did you run lafilefixer? For any support I would kindly thank you. I

[gentoo-user] problem emerging Libdrm

2015-01-24 Thread Philip Webb
After exactly 2 years , I'm trying to update my Asus EEE netbook. I've emerged gcc-4.8.3 ( 3 h 31 m ), portage-2.2.14 udev-216 . However, I've lost X : trying to update gtk+ , I've run into a problem : it requires Mesa Cairo both require libdrm-2.4.58 , which refuses to compile, failing

Re: [gentoo-user] problem emerging Libdrm

2015-01-25 Thread Alexander Kapshuk
Cairo both require libdrm-2.4.58 , which refuses to compile, failing with lines reporting that libpng15.so.15 libudev.so.0 not found, which seem to be needed by Cairo Mesa, which depend on Libdrm ; I've already updated to libpng-1.6.16 , so libpng16.so.16 is installed. I've tried 'emerge

Re: [gentoo-user] Moving from no-multilib to (true) multilib

2015-03-31 Thread Alan McKinnon
environment, or will it still require a complete reinstall? -- Regards, Mick On my workstation the day this option came out, */* abi_x86_32 in package.use went reasonably well. x11-libs/cairo-1.12.18-r1 failed, but maybe that problem is the 32-bit mesa. Going to rebuild it and try

Re: [gentoo-user] To emerge openbox or gparted...that is the question...(William Tuxpeare)

2017-02-18 Thread Alan McKinnon
penbox (argument) >> =x11-libs/cairo-1.14.8 X > > and > > # required by dev-cpp/cairomm-1.12.0-r1::gentoo > # required by dev-cpp/pangomm-2.40.1::gentoo > # required by dev-cpp/gtkmm-2.24.5::gentoo > # required by sys-block/gparted-0.27.0::gentoo > # required

Re: [gentoo-user] dev-libs/efl-1.18.4 fails to emerge with gcc-5.4.0-r3

2017-04-18 Thread Mick
> poppler > > >>> et al should have already been rebuilt in advance as dependencies. > > >>> What > > >>> can I try? > > >> > > >> Maybe https://bugs.gentoo.org/show_bug.cgi?id=615326 ? > > >> Is poppler really insta

Re: [gentoo-user] Helvetica fonts

2017-03-08 Thread David W Noon
x > www-client/firefox-bin > > from pdfinfo: > Producer: cairo 1.9.5 (using Firefox) > Producer: pdfTeX-1.40.16 (using Firefox) > > Both files are having problem viewing fonts using "flpsed". I have created a PDF of your message to which this message is

[gentoo-user] emerge Error

2009-03-12 Thread dhk
be merged, in order: Calculating dependencies... done! emerge: there are no ebuilds built with USE flags to satisfy =app-text/poppler-bindings-0.8[gtk,cairo]. !!! One of the following packages is required to complete your request: - app-text/poppler-bindings-0.10.4 (Change USE: +cairo) (dependency

Re: [gentoo-user] conflict in update

2009-04-25 Thread Neil Bothwick
this, adjust USE to satisfy '~app-text/poppler- bindings-0.10.4[gtk,cairo]'. It tells you what todo: emerge app-text/poppler-bindings-0.10.4 with USE=gtk cairo And remove poppler-bindings from world. -- Neil Bothwick Error reading FAT record: Try the SKINNY one? (Y/N

Re: [gentoo-user] conflict in update

2009-04-25 Thread Michael P. Soulier
On 25/04/09 Justin said: It tells you what todo: emerge app-text/poppler-bindings-0.10.4 with USE=gtk cairo check that if it solves the problem msoul...@anton:~$ USE=gtk cairo sudo emerge --pretend app-text/poppler-bindings These are the packages that would be merged, in order

[gentoo-user] Re: Re: Problems rebuilding gtk+ (and many other packages), due to not found /usr/lib/libXCBRenderUtil.la

2007-03-05 Thread Alexander Skwar
Boyd Stephen Smith Jr. [EMAIL PROTECTED]: None of those seem particularly relevant ('cept /maybe/ cairo), but I figured I'd give you the whole list so you can go searching if xcb-util isn't the culprit. Thx for the whole list. I've since rebuild cairo, libX11 and a bunch of other packages

Re: [gentoo-user] New install - startx not starting

2006-11-13 Thread Greg Morin
New system, so lots had to be merged. gnome build complained - giving me a pointer to the use/cairo solution.GpmOn 11/8/06, Alan McKinnon [EMAIL PROTECTED] wrote:On Wednesday 08 November 2006 12:42, Greg Morin wrote: VIDEO_CARDS was/is set. The tweaking was in USE - 'png' was necessary before

RE: [gentoo-user] Emerging Gnome and KDE

2007-01-26 Thread Nelson, David \(ED, PARD\)
-Original Message- From: Fabrício L. Ribeiro [mailto:[EMAIL PROTECTED] Sent: 26 January 2007 16:09 To: gentoo-user@lists.gentoo.org Subject: [gentoo-user] Emerging Gnome and KDE - snip - * Please re-emerge x11-libs/cairo with the X USE flag set - snip - What it means? What

Re: [gentoo-user] pecl-cairo ~x86 overlay?

2010-08-01 Thread Neil Bothwick
,that is my opinion. You don't need to modify the ebuild, just add a line to /etc/portage/package.kjeywords dev-php5/pecl-cairo ~amd64 -- Neil Bothwick The cow is nothing but a machine which makes grass fit for us people to eat. signature.asc Description: PGP signature

Re: [gentoo-user] What is libX11.la, and how do I build it?

2011-05-07 Thread Enrico Weigelt
* Alan Mackenzie a...@muc.de wrote: I try to emerge, say, gtk+. It fails building the cairo lib. The build log indicates: /bin/sed: can't read /usr/lib64/libX11.la: No such file or directory Upstream bug. Cairo is broken, they rely on unreliable stuff. (there's a lot of traffic about

Re: [gentoo-user] fcitx crash----something to do with libpng cairo?

2013-04-13 Thread Jackie
problem solved now.I searched through Internet and got the information that the crash wad caused by the newer version of cairo fcitx,which led to a failure of th eload of fcitx's skin.Anyway,developers have had it fixed and after an update of fcitx to version 4.2.7-r1,everything is cool

[gentoo-user] To emerge openbox or gparted...that is the question...(William Tuxpeare)

2017-02-18 Thread Meino . Cramer
Hi, I am confused... For my new gentoo root I want openbox AND gparted. But emerge says this: # required by x11-libs/pango-1.40.3::gentoo # required by x11-wm/openbox-3.6.1::gentoo # required by openbox (argument) >=x11-libs/cairo-1.14.8 X and # required by dev-cpp/cairomm-1.12.0-r1::gen

Re: [gentoo-user] pango fails to build

2008-07-04 Thread Justin Findlay
On AD 2008 July 04 Friday 01:02:39 PM -0230, Roger Mason wrote: /usr/lib/libcairo.so: undefined reference to `__sync_fetch_and_add_4' Did you try revdep-rebuild, or even just remerging cairo? Justin -- gentoo-user@lists.gentoo.org mailing list

Re: [gentoo-user] slot conflict

2009-03-29 Thread Alan McKinnon
packages (at least) want to merge python-2.5.2-r7 Try emerge python on it's own then emerge world, portage's confusion should then not be present [snip] emerge: there are no ebuilds built with USE flags to satisfy =app-text/poppler-bindings-0.8[gtk,cairo]. !!! One of the following packages

  1   2   3   4   5   6   7   8   9   10   >